import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);

let router = new Router({
  mode: 'hash',
  base: process.env.BASE_URL,
  routes: [
    {
      path: '/',
      redirect: '/login'
    },
    {
      path: '/',
      component: () => import('../views/Home.vue'),
      meta: { title: '自述文件' },
      children: [
        {
          path: '/customer',
          component: () => import('../views/customer/customer.vue'),
        },
        {
          path: '/addcustomer',
          component: () => import('../views/customer/AddCustomer.vue'),
        },
        {
          path: '/bmOrder',
          component: () => import('../views/customer/Order.vue'),
        },
        {
          path: '/user',
          component: () => import('../views/user/User.vue'),
        },
        {
          path: '/adduser',
          component: () => import('../views/user/AddUser.vue'),
        },
        {
          path: '/info',
          component: () => import('../views/user/Info.vue'),
        },
        {
          path: '/order',
          component: () => import('../views/order/Order.vue'),
        },
        {
          path: '/addorder',
          component: () => import('../views/order/AddOrder.vue'),
        },
        {
          path: '/selectClient',
          component: () => import('../views/order/selectClient.vue'),
        },

        {
          path: '/configure',
          component: () => import('../views/serve/Configure.vue'),
        },
        {
          path: '/backstage',
          component: () => import('../views/serve/backstage'),
        },
        {
          path: '/addModel',
          component: () => import('../views/serve/addModel'),
        },
        {
          path: '/addconfigure',
          component: () => import('../views/serve/AddConfigure.vue'),
        },
        {
          path: '/projectList',
          component: () => import('../views/serve/projectList.vue'),
        },
        {
          path: '/projectAdd',
          component: () => import('../views/serve/projectAdd.vue'),
        },
        {
          path: '/curriculum',
          component: () => import('../views/course/list'),
        },
        {
          path: '/curriculum/detail',
          component: () => import('../views/course/detail'),
        },
        {
          path: '/curriculum/content',
          component: () => import('../views/course/content'),
        },
        {
          path: '/data',
          component: () => import('../views/data/Data.vue'),
        },
        {
          path: '/match',
          component: () => import('../views/match/list'),
        },
        {
          path: '/addMatch',
          component: () => import('../views/match/add'),
        },
        {
          path: '/matchManage',
          component: () => import('../views/match/manage'),
        },
        {
          path: '/noticeDetail',
          component: () => import('../views/match/manage/noticeDetail'),
        },
        {
          path: '/otherArchList',
          component: () => import('../views/match/manage/otherArchList'),
        },
        {
          path: '/matchRank',
          component: () => import('../views/match/manage/matchRank'),
        },
        {
          path: '/trialReport',
          component: () => import('../views/match/manage/trialReport'),
        },
        {
          path: '/matchArchList',
          component: () => import('../views/match/manage/matchArchList'),
        },
        {
          path: '/theoryReport',
          component: () => import('../views/match/manage/theoryReport'),
        },
        {
          path: '/matchInfo',
          component: () => import('../views/match/manage/matchInfo'),
        },
        {
          path: `/theoreticalCourse`,
          component: () => import("../views//theoreticalCourse/list"),
          meta: { title: "理论课程" }
        },
        {
          path: `/addTheoreticalCourse`,
          component: () => import("../views//theoreticalCourse/add"),
          meta: { title: "理论课程详情" }
        },
        {
          path: `/previewTheoreticalCourse`,
          component: () => import("../views//theoreticalCourse/preview"),
          meta: { title: "理论课程预览" }
        },
        {
          path: `/setTheoreticalCourse`,
          component: () => import("../views//theoreticalCourse/contentSettings"),
          meta: { title: "理论课程内容设置" }
        },
        {
          path: `/information`,
          component: () => import("../views//information/list"),
          meta: { title: "资讯管理" }
        },
        {
          path: `/addArticle`,
          component: () => import("../views//information/addArticle"),
          meta: { title: "新增文章" }
        },
        {
          path: '/system',
          component: () => import('../views/system'),
        },
        {
          path: '/manageLog',
          component: () => import('../views/system/manageLog'),
        },
        {
          path: '/addLog',
          component: () => import('../views/system/addLog'),
        },
        {
          path: '/permission',
          component: () => import('../views/customer/Permission.vue'),
        },
        {
          path: '/person',
          component: () => import('../views/setting'),
        },
        {
          path: '/parner',
          component: () => import('../views/parner'),
        },
        {
          path: '/parnerOperation',
          component: () => import('../views/parnerOperation'),
        },
        {
          path: '/learnMg',
          component: () => import('../views/parnerOperation/learnMg'),
        },
        {
          path: '/schemeSet',
          component: () => import('../views/parnerOperation/schemeSet'),
        },
        {
          path: '/shop',
          component: () => import('../views/shop/list'),
        },
        {
          path: '/shop/add',
          component: () => import('../views/shop/add'),
        },
        {
          path: '/market',
          component: () => import('../views/market'),
        },
        {
          path: '/theoryExam/list',
          component: () => import('../views/theoryExam/list/index'),
        },
        {
          path: '/theoryExam',
          component: () => import('../views/theoryExam'),
        },
        {
          path: '/review',
          component: () => import('../views/review'),
        },
        {
          path: '/workbench',
          component: () => import('../views/workbench'),
        },
        {
          path: '/resourse',
          component: () => import('../views/resourse'),
        },
        {
          path: '/station',
          component: () => import('../views/station'),
        },
        {
          path: '/404',
          component: () => import('../views/404.vue'),
          // meta: { title: '404' }
        },
        {
          path: '/403',
          component: () => import('../views/403.vue'),
          // meta: { title: '403' }
        }
      ]
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' }
    },
    {
      path: '/devLogin',
      component: () => import('../views/devLogin.vue'),
      meta: { title: '开发者登录' }
    },
    {
      path: '/join',
      component: () => import('../views/join'),
      meta: { title: '城市合伙人运营管理平台' }
    },
    {
      path: '/matchPreview',
      component: () => import('../views/match/preview'),
      // meta: { title: '数据管理' }
    },
    {
      path: '/success',
      component: () => import('../views/join/success'),
      meta: { title: '城市合伙人运营管理平台' }
    },
    {
      path: '*',
      redirect: '/404'
    }
  ]
});

router.beforeEach(function (to, from, next) {
  // 根据路由元信息设置文档标题
  window.document.title = to.meta.title || '中台';
  //使用钩子函数对路由进行权限跳转
  const login = location.href.includes('dev.huorantech.cn') ? '/devLogin' : '/login'
  if (!sessionStorage.getItem('token') && to.path !== login && to.path !== '/join' && to.path !== '/success') {
    next(login);
  } else {
    next();
  }
});

export default router;
