import Setting from "@/setting";

const { apiBaseURL: host } = Setting
export default {

  logins: `users/users/user/login`, //登录
  verification: `${host}users/users/user/captcha`,// 验证码图片 保留host
  bindPhoneOrEmail: `users/users/userAccount/bindPhoneOrEmail`,// 绑定手机
  sendPhoneOrEmailCode: `users/users/userAccount/sendPhoneOrEmailCode`,// 手机验证码
  getUserRolesPermissionMenu: `users/users/user-role/getUserRolesPermissionMenu`,
  deleteProfile: `users/users/userInfo/deleteProfile`,
  refreshPageNotification: `nakadai/message/refreshPageNotification`,
  heartbeatDetection: `nakadai/message/heartbeatDetection`,
  getCurrentTime: `competition/competition/management/getCurrentTime`,
  getToken: `users/users/user/getToken`,
  logout: `users/users/user/logout`,

  // 阿里云文件/视频管理
  getPlayAuth: `nakadai/nakadai/oss/getPlayAuth`, // 获取播放凭证
  encrypt: `nakadai/data/encrypt`,

  staffTemplate: `https://occupationlab.com/template/%E6%89%B9%E9%87%8F%E5%AF%BC%E5%85%A5%E5%91%98%E5%B7%A5%E6%A8%A1%E6%9D%BF.xlsx`, // 后台账号模板
  competionPersonTemplate: `https://www.occupationlab.com/template/中台个人赛报名人员导入模板.xlsx`, // 中台个人报名人员模板
  competionTeamTemplate: `https://www.occupationlab.com/template/中台团队赛报名人员导入模板.xlsx`, // 中台团队报名人员模板

  checkEmailOrPhone: `occupationlab/occupationlab/architecture/checkEmailOrPhone`, // 新增学生前:校验手机号或者邮箱
  checkWorkNumOrAccount: `occupationlab/occupationlab/architecture/checkWorkNumOrAccount`, // 新增/编辑学生前:校验学号或者学生账号

  // 订单管理
  orderAdd: `nakadai/nakadai/order/add`,// 订单添加
  orderDelete: `nakadai/nakadai/order/delete`,// 删除定单
  orderDetail: `nakadai/nakadai/order/get`,// 订单详情
  orderList: `nakadai/nakadai/order/list`,// 订单列表
  orderUpdate: `nakadai/nakadai/order/update`,// 订单更新
  renew: `nakadai/nakadai/orderOther/renew`,// 续费信息管理-post
  ship: `nakadai/nakadai/orderOther/ship`,// 处理时的订单发货管理-post
  bulkShipping: `nakadai/nakadai/orderOther/bulkShipping`,
  getOrderOtherTime: `nakadai/nakadai/orderOther/getOrderOtherTime`,
  refreshCache: `data/data/myDate/refreshCache`,
  getPartnerTeamRates: `nakadai/nakadai/partner-team/getPartnerTeamRates`,
  getCustomerOrderRecord: `nakadai/nakadai/order/getCustomerOrderRecord`,

  // 客户管理
  delCustomers: `nakadai/nakadai/customer/delCustomers`,
  updateCustomer: `nakadai/nakadai/customer/updateCustomer`,
  addCustomer: `nakadai/nakadai/customer/addCustomer`,
  queryCustomer: `nakadai/nakadai/customer/queryCustomer`,
  queryCustomerDetails: `nakadai/nakadai/customer/queryCustomerDetails`,
  saveOrUpdate: `data/data/role/saveOrUpdate`,
  doAssign: `data/data/permission/doAssign`,
  updateCustomerByRoleId: `nakadai/nakadai/customer/updateCustomerByRoleId`,
  checkEmailOrPhone: `nakadai/nakadai/customer/checkEmailOrPhone`, // 新增客户前:校验手机号或者邮箱
  getProductsSubscribedByCustomers: `nakadai/nakadai/customer/getProductsSubscribedByCustomers`,
  orderBulkDisableEnable: `nakadai/nakadai/orderOther/orderBulkDisableEnable`,
  exportSubscribedRecords: `nakadai/nakadai/order/exportSubscribedRecords`,
  addNewCustomersByOneself: `nakadai/nakadai/school/addNewCustomersByOneself`,
  exportClient: `${host}nakadai/nakadai/customer/exportClient`,
  customerSettingsList: `nakadai/nakadai/customer/customerSettingsList`,
  clientSettingsEditClient: `nakadai/nakadai/customer/clientSettingsEditClient`,
  delClientsOrSchools: `nakadai/nakadai/school/delClientsOrSchools`,
  editClientsOrSchools: `nakadai/nakadai/school/editClientsOrSchools`,
  userManagementList: `users/users/userAccount/userManagementList`,

  resetPwdCustomer: `nakadai/nakadai/customer/resetPwd`,
  queryCustomerIsExists: `nakadai/nakadai/customer/queryCustomerIsExists`,
  updateEnabled: `nakadai/nakadai/customer/updateEnabled`,
  queryCustomerIndustryClass: `nakadai/nakadai/hrIndustryClass/queryIndustryClass`,
  queryCustomerIndustry: `nakadai/nakadai/hrIndustry/queryIndustry`,
  querySchoolData: `nakadai/nakadai/school/querySchool`,
  getAListOfClientBusinessManagers: `nakadai/nakadai/customer/getAListOfClientBusinessManagers`,
  getBusinessManagerOrder: `nakadai/nakadai/customer/getBusinessManagerOrder`,

  // 用户管理
  delUserAccountsByNakadai: `users/users/userAccount/delUserAccountsByNakadai`,
  queryUserInfoDetails: `users/users/userAccount/queryUserInfoDetails`,
  personalFile: `users/users/userAccount/personalFile`,

  queryUserInfoList: `users/users/userAccount/queryUserInfoList`,
  resetPwd: `users/users/userAccount/resetPwd`,
  selectAccountDetail: `users/users/userAccount/selectAccountDetail`,
  selectUserSysBind: `users/users/userAccount/selectUserSysBind`,
  updatePersonCenter: `users/users/userAccount/updatePersonCenter`,
  updateUserAvatars: `${host}users/users/userAccount/updateUserAvatars`,
  userInfo: `users/users/userAccount/userInfo`,
  unbindMobilePhone: `users/users/userAccount/unbindMobilePhone`,
  updateAccountEnable: `users/users/userAccount/updateAccountEnable`,
  updateAccountAllEnable: `users/users/userAccount/updateAccountAllEnable`,
  examinePassword: `users/users/userAccount/examinePassword`,
  viewUserDetailsforNakadai: `users/users/userAccount/viewUserDetailsforNakadai`,
  oneClickEnableVerification: `users/users/userAccount/oneClickEnableVerification`,
  getValueModule: `nakadai/nakadai/valueModuleManagement/getValueModule`,

  queryServiceConfig: `nakadai/nakadai/serviceConfiguration/getAllService`,
  workbenchSystemDemonstration: `nakadai/nakadai/serviceConfiguration/workbenchSystemDemonstration`,
  // 项目管理
  avgValues: `occupationlab/occupationlab/projectManage/avgValues`, // 平均分分配值
  deleteProjectManage: `occupationlab/occupationlab/projectManage/deleteProjectManage`, // 新增项目管理
  getProjectBySystemId: `occupationlab/occupationlab/projectManage/getProjectBySystemId`, // 根据系统id获取全部项目
  queryNameIsExist: `occupationlab/occupationlab/projectManage/queryNameIsExist`, // 新增/编辑项目管理名称判重
  queryProjectManage: `occupationlab/occupationlab/projectManage/queryProjectManage`, // 项目管理列表(分页、筛选)
  updateIsOpen: `occupationlab/occupationlab/projectManage/updateIsOpen`, // 更新开启状态
  getProjectDetail: `occupationlab/occupationlab/projectManage/getProjectDetail`, // 根据项目id查询详情
  saveProjectDraft: `occupationlab/occupationlab/projectManage/saveProjectDraft`, // 新增项目管理
  addProjectManage: `occupationlab/occupationlab/projectManage/addProjectManage`, // 新增项目管理
  updateProjectManage: `occupationlab/occupationlab/projectManage/updateProjectManage`, // 修改项目管理
  editProjectDraft: `occupationlab/occupationlab/projectManage/editProjectDraft`, // 修改项目管理
  copyProjectManage: `occupationlab/occupationlab/projectManage/copyProjectManage`, // 复制项目管理
  // 判分点
  getBcJudgmentPoint: `${host}judgment/judgment/bcJudgmentPoint/getBcJudgmentPoint`, // 获取编程类判分点列表(分页)
  getLcJudgmentPoint: `${host}judgment/judgment/lcJudgmentPoint/queryAllJudgmentPoint`, // 获取流程类判分点列表(分页)
  addProjectJudgment: `occupationlab/occupationlab/projectJudgment/addProjectJudgment`, // 添加项目管理、判分点中间表
  updateProjectJudgment: `occupationlab/occupationlab/projectJudgment/updateProjectJudgment`, // 判分点中间表批量更新
  deleteProjectJudgment: `occupationlab/occupationlab/projectJudgment/deleteProjectJudgment`, // 判分点中间表批量删除
  // 系统后台
  deleteModelClass: `nakadai/nakadai/model/reference/deleteModelClass`,
  modelClassList: `nakadai/nakadai/model/reference/modelClassList`,
  saveReferenceCategory: `nakadai/nakadai/model/reference/saveReferenceCategory`,
  updateModelClass: `nakadai/nakadai/model/reference/updateModelClass`,
  checkIsShowBySystemId: `nakadai/nakadai/model/reference/checkIsShowBySystemId`,
  modifyIsShowState: `nakadai/nakadai/model/reference/modifyIsShowState`,
  editProvinceCity: `nakadai/nakadai/partner-team/editProvinceCity`,
  editPartnerTeamRates: `nakadai/nakadai/partner-team/editPartnerTeamRates`,
  teamPartnerList: `nakadai/nakadai/partnerAccount/teamPartnerList`,

  delModelInfoBySystemId: `nakadai/nakadai/model/reference/demo/delModelInfoBySystemId`,
  deleteReferenceDemo: `nakadai/nakadai/model/reference/demo/deleteReferenceDemo`,
  referenceFindById: `nakadai/nakadai/model/reference/demo/findById`,
  saveReferenceDemo: `nakadai/nakadai/model/reference/demo/saveReferenceDemo`,
  referenceDemoList: `nakadai/nakadai/model/reference/demo/referenceDemoList`,
  getAllModelList: `nakadai/nakadai/model/reference/demo/getAllModelList`,
  synchronizationMdel: `nakadai/nakadai/model/reference/demo/synchronizationMdel`,

  deleteSourceModelCategory: `nakadai/nakadai/model/category/deleteSourceModelCategory`,
  categorySave: `nakadai/nakadai/model/category/save`,
  sourceModelClassification: `nakadai/nakadai/model/category/sourceModelClassification`,
  updateSourceModelCategory: `nakadai/nakadai/model/category/updateSourceModelCategory`,

  bulkDisable: `nakadai/nakadai/model/demo/bulkDisable`,
  deleteSysModelDemo: `nakadai/nakadai/model/demo/deleteSysModelDemo`,
  modelFindById: `nakadai/nakadai/model/demo/findById`,
  saveSysModelDemo: `nakadai/nakadai/model/demo/saveSysModelDemo`,
  sysModelDemoList: `nakadai/nakadai/model/demo/sysModelDemoList`,
  updateSysModelDemo: `nakadai/nakadai/model/demo/updateSysModelDemo`,
  runPythonCode: `nakadai/nakadai/model/demo/runPythonCode`,
  getAllModelListBySys: `nakadai/nakadai/model/demo/getAllModelListBySys`,
  InstitutionSourceModel: `nakadai/nakadai/model/demo/InstitutionSourceModel`,
  disableModelDemo: `nakadai/nakadai/model/demo/disabledEvents`,
  copyTheModelToTheNakadai: `nakadai/nakadai/model/demo/copyTheModelToTheNakadai`,
  builtInModelButtonDisplayByNakadai: `nakadai/nakadai/model/demo/builtInModelButtonDisplayByNakadai`,
  builtInModelState: `nakadai/nakadai/model/demo/builtInModelState`,
  modelRedis: `nakadai/nakadai/model/demo/getRedisCache`,

  // 课程管理三级联查
  courseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //课程学科类别
  courseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //课程专业类
  courseProfessional: `nakadai/nakadai/subject/courseProfessional`, //课程专业
  //课程管理
  curriculumList: `nakadai/nakadai/curriculum/curriculumList`, //课程列表
  curriculumTree: `nakadai/nakadai/curriculum/curriculumTree`,
  createCurriculum: `nakadai/nakadai/curriculum/createCurriculum`, //创建课程
  configureCourseProject: `nakadai/nakadai/curriculum/configureCourseProject`,
  curriculumDetail: `nakadai/nakadai/curriculum/curriculumDetail`, //课程详情
  modifyCourse: `nakadai/nakadai/curriculum/modifyCourse`, //编辑课程
  delCourse: `nakadai/nakadai/curriculum/delCourse`, //单个、批量删除课程
  isShelves: `nakadai/nakadai/curriculum/isShelves`, //上下架课程
  getInternalProjectBySystemId: `occupationlab/occupationlab/projectManage/getInternalProjectBySystemId`, //根据系统id、项目权限获取系统内置项目
  checkConfig: `nakadai/nakadai/curriculum/checkConfig`,
  deleteCoursePrompt: `nakadai/nakadai/curriculum/deleteCoursePrompt`,
  combinationResource: `nakadai/nakadai/curriculum/combinationResource`,
  replaceResource: `nakadai/nakadai/curriculum/subsection/replaceResource`,
  curriculumChapter: `nakadai/nakadai/curriculum/chapter/queryChaptersAndSubsections`,
  courseLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/courseLearningProgress',
  deleteLearningProgress: 'nakadai/nakadai/curriculum/learning/progressprogress/delete',
  curriculumGetSubsection: `nakadai/nakadai/curriculum/subsection/getSubsection`,
  copySelfBuildCourse: `nakadai/nakadai/curriculum/copySelfBuildCourse`,
  // 课程笔记
  addNote: `nakadai/curriculumNotes/addNote`,
  curriculumNoteList: `nakadai/curriculumNotes/curriculumNoteList`,
  deleteNotes: `nakadai/curriculumNotes/deleteNotes`,
  updateNote: `nakadai/curriculumNotes/updateNote`,

  // 教学互动
  addCommentStation: `nakadai/comment/addComment`,
  commentTreeList: `nakadai/comment/commentTreeList`,
  deleteAComment: `nakadai/comment/deleteAComment`,
  commentAndLike: `nakadai/commentLike/commentAndLike`,
  unlike: `nakadai/commentLike/unlike`,
  messageNotificationList: `nakadai/notify/messageNotificationList`,
  noticeRead: `nakadai/notify/noticeRead`,
  // 课程章节管理
  addChapter: `nakadai/nakadai/curriculum/chapter/addChapter`, //添加章节
  editChapter: `nakadai/nakadai/curriculum/chapter/editChapter`, //修改章节
  deleteChapter: `nakadai/nakadai/curriculum/chapter/deleteChapter`, //根据id删除章节
  queryChaptersAndSubsections: `nakadai/nakadai/curriculum/chapter/queryChaptersAndSubsections`, //根据课程id查询章节小节,树状结构
  reorder: `nakadai/nakadai/curriculum/chapter/reorder`, //编辑排序
  // 课程小节管理
  addSubsection: `nakadai/nakadai/curriculum/subsection/addSubsection`, //添加小节
  deleteSubsection: `nakadai/nakadai/curriculum/subsection/deleteSubsection`, //根据id删除小节
  editSubsection: `nakadai/nakadai/curriculum/subsection/editSubsection`, //修改小节
  getSubsection: `nakadai/nakadai/curriculum/subsection/getSubsection`, //根据小节id获取预览文件地址

  // 理论课程
  delTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/batchDeletion`,
  findTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/findById`,
  listTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/pageConditionalQueryCourse`,
  boutiqueCurriculumTree: `occupationlab/occupationlab/theoreticalCourse/boutiqueCurriculumTree`,
  saveTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/save`,
  updateTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/update`,
  disabledTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/disabledEvents`,
  checkRepeatTheoreticalCourse: `occupationlab/occupationlab/theoreticalCourse/checkRepeat`,
  getRedisCache: `occupationlab/occupationlab/theoreticalCourse/getRedisCache`,
  getSchoolsByProvince: `nakadai/nakadai/school/getSchoolsByProvince`,
  // 理论课程分类管理
  checkRepeatClassification: `occupationlab/occupationlab/theoreticalCourseClassification/checkRepeat`,
  delClassification: `occupationlab/occupationlab/theoreticalCourseClassification/batchDeletion`,
  findClassification: `occupationlab/occupationlab/theoreticalCourseClassification/findById`,
  listClassification: `occupationlab/occupationlab/theoreticalCourseClassification/pagingQuery`,
  saveClassification: `occupationlab/occupationlab/theoreticalCourseClassification/save`,
  updateClassification: `occupationlab/occupationlab/theoreticalCourseClassification/update`,
  queryAllCategoriesOfSchools: `occupationlab/occupationlab/theoreticalCourseClassification/queryAllCategoriesOfSchools`,
  // 课程章节管理
  addChapterTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/addChapter`,
  chapterReorderTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/chapterReorder`,
  deleteChapterTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/deleteChapter`,
  editChapterTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/editChapter`,
  queryChaptersTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/queryChaptersAndSubsections`,
  reorderTheoretical: `occupationlab/occupationlab/theoreticalCourseChapter/reorder`,
  // 课程小节管理
  addSubsectionTheoretical: `occupationlab/occupationlab/theoreticalCourseSubsection/addSubsection`, // 添加小节
  deleteSubsectionTheoretical: `occupationlab/occupationlab/theoreticalCourseSubsection/deleteSubsection`, // 根据id删除小节
  editSubsectionTheoretical: `occupationlab/occupationlab/theoreticalCourseSubsection/editSubsection`, // 修改小节
  getSubsectionTheoretical: `occupationlab/occupationlab/theoreticalCourseSubsection/getSubsection`, // 根据小节id获取预览文件地址
  batchDeletionTheoretical: `occupationlab/occupationlab/theoreticalCourseSubsection/batchDeletion`,
  deleteSubsectionBatch: `nakadai/nakadai/curriculum/subsection/deleteSubsectionBatch`,

  // 栏目管理
  addColumn: `occupationlab/occupationlab/information/column/addColumn`,
  deleteColumn: `occupationlab/occupationlab/information/column/deleteColumn`,
  editColumn: `occupationlab/occupationlab/information/column/editColumn`,
  queryAllColumns: `occupationlab/occupationlab/information/column/queryAllColumns`,
  columnReorder: `occupationlab/occupationlab/information/column/reorder`,
  // 内容管理
  addArticle: `occupationlab/occupationlab/information/article/addArticle`,
  deleteArticles: `occupationlab/occupationlab/information/article/deleteArticles`,
  editArticle: `occupationlab/occupationlab/information/article/editArticle`,
  enableArticle: `occupationlab/occupationlab/information/article/enableArticle`,
  getArticle: `occupationlab/occupationlab/information/article/getArticle`,
  getArticles: `occupationlab/occupationlab/information/article/getArticles`,
  queryArticleByCondition: `occupationlab/occupationlab/information/article/queryArticleByCondition`,
  articleSort: `occupationlab/occupationlab/information/article/articleSort`,

  queryProvince: `nakadai/nakadai/province/queryProvince`, //查询省份
  queryCity: `nakadai/nakadai/city/queryCity`, //查询城市

  queryCourseDiscipline: `nakadai/nakadai/subject/courseDiscipline`, //查询课程学科
  queryCourseProfessionalClass: `nakadai/nakadai/subject/courseProfessionalClass`, //查询专业类
  queryCourseProfessional: `nakadai/nakadai/subject/courseProfessional`, //查询专业

  // 数据管理
  getIdQueryTable: `data/data/table/getIdQueryTable`,
  getTableByClassification: `data/data/table/getTableByClassification`,
  getTableByCondition: `data/data/table/getTableByCondition`,
  originalList: `data/data/table/originalList`,
  originalListById: `data/data/table/originalListById`,
  saveCategory: `data/data/table/saveCategory`,
  saveTable: `data/data/table/saveTable`,
  updateCategory: `data/data/table/updateCategory`,
  deleteCategory: `data/data/table/deleteCategory`,
  deleteTable: `data/data/table/deleteTable`,
  previewData: `data/data/preview`,
  staticPreview: `data/data/staticPreview`,
  editTableName: `data/data/table/editTableName`,
  updateTableCommit: `data/data/updateTableCommit`,
  getLevel: `data/data/category/getLevel`,
  getAllTableInfoByCategoryId: `data/data/product/getAllTableInfoByCategoryId`,

  // 产品管理
  deleteProduct: `data/data/product/delete`,
  findById: `data/data/product/findById`,
  listByEntity: `data/data/product/listByEntity`,
  saveProduct: `data/data/product/save`,
  updateProduct: `data/data/product/update`,
  saveRecord: `data/data/dataRecord/saveRecord`,
  getAllTableIdBycategoryId: `data/data/product/getAllTableIdBycategoryId`,
  deleteDataPrompt: `data/data/product/deleteDataPrompt`,

  // 关键词
  addKeyword: `data/data/keyword/addKeyword`,
  deleteKeyword: `data/data/keyword/deleteKeyword`,
  getKeywordByCategoryId: `data/data/keyword/getKeywordByCategoryId`,

  // 后台账号
  deleteArch: `nakadai/nakadai/staffAccountArchitecture/delete`,
  saveArch: `nakadai/nakadai/staffAccountArchitecture/save`,
  treeListArch: `nakadai/nakadai/staffAccountArchitecture/treeList`,
  updateArch: `nakadai/nakadai/staffAccountArchitecture/update`,
  delStaff: `nakadai/nakadai/backstageStaff/delStaff`,
  modifyStaff: `nakadai/nakadai/backstageStaff/modifyStaff`,
  saveStaff: `nakadai/nakadai/backstageStaff/saveStaff`,
  staffDetail: `nakadai/nakadai/backstageStaff/staffDetail`,
  staffList: `nakadai/nakadai/backstageStaff/staffList`,
  importStaff: `${host}nakadai/nakadai/backstageStaff/importStaff`,
  exportFailure: `${host}nakadai/nakadai/backstageStaff/exportFailure`,

  // 角色管理
  batchRemove: `users/users/role/batchRemove`, //批量删除角色
  checkRoleIsExist: `users/users/role/checkRoleIsExist`, //判断该角色是否存在
  delRoleByAccountId: `users/users/role/delRoleByAccountId`, //删除某用户下的某个角色
  roleList: `users/users/role/list`, //角色分页列表查询
  obtainDetails: `users/users/role/obtainDetails`, //获取角色详情
  saveOrUpdate: `users/users/role/saveOrUpdate`, //新增或更新角色
  queryAllMenus: `users/users/permission/queryAllMenus`, //查询所有菜单
  getSupplierList: `users/users/supplier/getSupplierList`,
  getSupplierListByRole: `users/users/supplier/getSupplierListByRole`,

  // 日志管理
  logAdd: `nakadai/nakadai/log/add`,
  logDel: `nakadai/nakadai/log/delete`,
  logGet: `nakadai/nakadai/log/get`,
  logManagementList: `nakadai/nakadai/log/logManagementList`,
  platformLogList: `nakadai/nakadai/log/platformLogList`,
  listUpdate: `nakadai/nakadai/log/update`,
  checkRepeat: `nakadai/nakadai/log/checkRepeat`,
  logWithdrawal: `nakadai/nakadai/log/logWithdrawal`,

  sysLogs: `occupationlab/sys/logs`,

  // 合伙人
  deleteParner: `nakadai/nakadai/partnerClassification/delete`,
  saveParner: `nakadai/nakadai/partnerClassification/save`,
  listParner: `nakadai/nakadai/partnerClassification/treeList`,
  updateParner: `nakadai/nakadai/partnerClassification/update`,

  delPartnerAccount: `nakadai/nakadai/partnerAccount/delPartnerAccount`,
  modifyPartnerAccount: `nakadai/nakadai/partnerAccount/modifyPartnerAccount`,
  partnerAccountDetail: `nakadai/nakadai/partnerAccount/partnerAccountDetail`,
  partnerAccountList: `nakadai/nakadai/partnerAccount/partnerAccountList`,
  savePartnerAccount: `nakadai/nakadai/partnerAccount/savePartnerAccount`,
  generateInvitationCode: `nakadai/nakadai/partnerAccount/generateInvitationCode`,
  generationQrCode: `nakadai/nakadai/partnerAccount/generationQrCode`,
  queryUserInfoByPhone: `nakadai/nakadai/partner-team/queryUserInfoByPhone`,
  getAllTeam: `nakadai/nakadai/partnerClassification/getAllTeam`,
  partnerRemoval: `nakadai/nakadai/partnerAccount/partnerRemoval`,
  generateTransferCode: `nakadai/nakadai/partnerAccount/generateTransferCode`,
  transferAdmin: `nakadai/nakadai/partnerAccount/transferAdmin`,
  transferTeam: `nakadai/nakadai/partnerAccount/transferTeam`,
  partnerAccountMergeList: `nakadai/nakadai/partnerAccount/partnerAccountMergeList`,

  // 赛事
  CompetitionPageConditionQueryByNakadai: `competition/competition/management/competitionPageConditionQueryByNakadai`,
  addCompetition: `competition/competition/management/addCompetition`,
  batchDeleteCompetition: `competition/competition/management/batchDeleteCompetition`,
  checkTheStatusOfTheCompetition: `competition/competition/management/checkTheStatusOfTheCompetition`,
  disabledEventsCompetition: `competition/competition/management/disabledEvents`,
  editCompetition: `competition/competition/management/editCompetition`,
  getCompetition: `competition/competition/management/getCompetition`,
  getProjectAssessmentByCompetition: `occupationlab/occupationlab/projectManage/getProjectAssessmentByCompetition`,
  publishCompetition: `competition/competition/management/publishCompetition`,
  detailsOfCompetitionStage: `competition/competition/management/detailsOfCompetitionStage`,
  entryInformation: `competition/competition/team/entryInformation`,
  getRedisCacheCompetition: `competition/competition/management/getRedisCache`,
  copyCompetition: `competition/competition/management/copyCompetition`,
  checkCustomerBySchool: `competition/competition/team/checkCustomerBySchool`,
  updateEventAllocationRecord: `competition/competitionAutomaticAllocationRecord/updateEventAllocationRecord`,
  editWhetherPopUpsAppear: `competition/competitionAutomaticAllocationRecord/editWhetherPopUpsAppear`,
  automaticAllocation: `competition/competition/automaticAllocation/automaticAllocation`,
  checkTeamStatus: `competition/teamAbnormalInformation/checkTeamStatus`,
  queryAbnormalTeam: `competition/teamAbnormalInformation/queryAbnormalTeam`,
  viewEventAllocationInformation: `competition/competitionAutomaticAllocationRecord/viewEventAllocationInformation`,
  getCompetitionProjectByMiddleGround: `occupationlab/occupationlab/projectManage/getCompetitionProjectByMiddleGround`,
  libraryList: `exam/exam/paperLibrary/libraryList`,
  examPaperList: `exam/exam/paper/examPaperList`,
  copyExamPaper: `exam/exam/paper/copyExamPaper`,
  getDetailedExamScores: `exam/exam/paper/getDetailedExamScores`,
  exportExamPaperReport: `exam/exam/paper/exportExamPaperReport`,
  exportLabReport: `${host}occupationlab/occupationlab/achievement/exportLabReport`,
  exportBankExperimentReport: `${host}occupationlab/occupationlab/achievement/exportBankExperimentReport`,
  getServiceOfType: `nakadai/nakadai/serviceConfiguration/getServiceOfType`,

  // 赛事内容
  addCompetitionContent: `competition/competition/content/addCompetitionContent`,
  editCompetitionContent: `competition/competition/content/editCompetitionContent`,
  getCompetitionContent: `competition/competition/content/getCompetitionContent`,
  // 赛事附件
  delComAnnex: `competition/competition/annex/delete`,
  saveComAnnex: `competition/competition/annex/save`,
  updateComAnnex: `competition/competition/annex/update`,
  // 赛事公告附件
  delAnnex: `competition/competition/announcementAnnex/delete`,
  saveAnnex: `competition/competition/announcementAnnex/save`,
  updateAnnex: `competition/competition/announcementAnnex/update`,
  viewAttachments: `competition/competition/announcementAnnex/viewAttachments`,
  // 赛事规则
  addCompetitionRule: `competition/competition/rule/addCompetitionRule`,
  editCompetitionRule: `competition/competition/rule/editCompetitionRule`,
  getCompetitionRule: `competition/competition/rule/getCompetitionRule`,
  queryCompetitionStageBySetupId: `competition/competition/stage/queryCompetitionStageBySetupId`,
  // 竞赛进展
  addCompetitionProgress: `competition/competition/progress/addCompetitionProgress`,
  deleteCompetitionProgress: `competition/competition/progress/deleteCompetitionProgress`,
  editCompetitionProgress: `competition/competition/progress/editCompetitionProgress`,
  getCompetitionProgress: `competition/competition/progress/getCompetitionProgress`,
  // 报名人员
  addCompetitionRegistration: `competition/competition/registration/addCompetitionRegistration`,
  cancelRegistration: `competition/competition/registration/cancelRegistration`,
  disableContests: `competition/competition/registration/disableContests`,
  disableRegistration: `competition/competition/registration/disableRegistration`,
  excelExport: `${host}competition/competition/registration/excelExport`,
  exportDataInBatches: `${host}competition/competition/registration/exportDataInBatches`,
  queryRegistrationByCondition: `competition/competition/registration/queryRegistrationByCondition`,
  searchTeam: `competition/competition/team/searchTeam`,
  joinCompetitionTeam: `competition/competition/team/joinCompetitionTeam`,
  addCompetitionTeam: `competition/competition/team/addCompetitionTeam`,
  studentAccountApplication: `users/users/register/studentAccountApplication`,
  checkPhoneOrEmailExist: `users/users/userInfo/checkPhoneOrEmailExist`,
  editCompetitionTeam: `competition/competition/team/editCompetitionTeam`,
  addAnAdvisor: `competition/competition/teamInstructor/addAnAdvisor`,
  deleteAnAdvisor: `competition/competition/teamInstructor/deleteAnAdvisor`,
  captainOfTransfer: `competition/competition/team/captainOfTransfer`,
  removeTheLine: `competition/competition/team/removeTheLine`,
  stageSelectParticipants: `competition/competition/teamParticipant/stageSelectParticipants`,
  updateUser: `users/users/userInfo/updateUser`,
  enquireAboutSchoolStudents: `users/users/userAccount/enquireAboutSchoolStudents`,
  cancelParticipant: `competition/competition/teamParticipant/cancelParticipant`,
  schoolsInCompetitionArea: `competition/competition/range/schoolsInCompetitionArea`,
  batchDeleteApplicants: `competition/competition/registration/batchDeleteApplicants`,
  deleteAllData: `competition/competition/registration/deleteAllData`,
  whetherThereIsReport: `competition/competitionAutomaticAllocationRecord/whetherThereIsReport`,
  closePopup: `competition/competitionAutomaticAllocationRecord/closePopup`,
  batchImportPersonalData: `${host}competition/competition/registration/batchImportPersonalData`,
  batchImportTeamData: `${host}competition/competition/registration/batchImportTeamData`,
  TeamDataExportFailure: `${host}competition/competition/registration/exportFailure`,
  exportAbnormalData: `${host}competition/teamAbnormalInformation/exportAbnormalData`,
  // 赛事公告
  addAnnouncement: `competition/competition/announcement/addAnnouncement`,
  amendmentAnnouncement: `competition/competition/announcement/amendmentAnnouncement`,
  deleteAnnouncement: `competition/competition/announcement/deleteAnnouncement`,
  disableAnnouncement: `competition/competition/announcement/disableAnnouncement`,
  queryAnnouncementByCompetitionId: `competition/competition/announcement/queryAnnouncementByCompetitionId`,
  queryAnnouncementDetails: `competition/competition/announcement/queryAnnouncementDetails`,
  saveAnnouncementAnnex: `competition/competition/announcementAnnex/save`,
  // 赛事成绩
  batchDeleteContestGrade: `competition/competition/performance/batchDeleteContestGrade`,
  batchImportGrades: `${host}competition/competition/performance/batchImportGrades`,
  exportExperimentalResultsInBatch: `${host}competition/competition/performance/exportExperimentalResultsInBatch`,
  exportExamPaperReports: `${host}exam/exam/paper/exportExamPaperReports`,
  batchExportReportsAsZip: `${host}occupationlab/occupationlab/achievement/batchExportReportsAsZip`,
  performanceExportFailure: `${host}competition/competition/performance/exportFailure`,
  rankExportFailure: `${host}competition/competition/rank/exportFailure`,
  batchImportRanking: `${host}competition/competition/rank/batchImportRanking`,
  getPaperUploadFileZip: `${host}exam/exam/paper/question/userAnswer/getPaperUploadFileZip`,
  stageGradeManagementList: `competition/competition/performance/stageGradeManagementList`,
  stageRaceRanking: `competition/competition/rank/stageRaceRanking`,
  overallStandingsInThePointsRace: `competition/competition/rank/overallStandingsInThePointsRace`,
  publishRanking: `competition/competition/rank/publishRanking`,
  stageTeamScoreDetails: `competition/competition/rank/stageTeamScoreDetails`,
  multipleStageTeamScoreDetails: `competition/competition/rank/multipleStageTeamScoreDetails`,
  detailsOfTotalTeamScores: `competition/competition/rank/detailsOfTotalTeamScores`,
  cancelRanking: `competition/competition/rank/cancelRanking`,
  reportDetail: `occupationlab/occupationlab/achievement/reportDetail`,
  deleteLastPublication: `competition/competition/rank/deleteLastPublication`,
  whetherToPublish: `competition/competition/rank/whetherToPublish`,
  manuallyRankTheUploadList: `competition/competition/rank/manuallyRankTheUploadList`,
  queryPublicationSource: `competition/competition/rank/queryPublicationSource`,
  releaseVerification: `competition/competition/rank/releaseVerification`,
  totalRankingScoreDetails: `competition/competition/rank/totalRankingScoreDetails`,
  batchRelease: `competition/competition/rank/batchRelease`,
  manuallyUploadedRankings: `competition/competition/rank/manuallyUploadedRankings`,
  toggleTheSortingMode: `competition/competition/rank/toggleTheSortingMode`,
  selectTheLastSortStatus: `competition/competition/rank/selectTheLastSortStatus`,
  cancelImport: `competition/competition/rank/cancelImport`,
  addCompetitionStageRankingTime: `competition/competitionReleaseTime/addCompetitionStageRankingTime`,
  cancelCompetitionStageRankingTime: `competition/competitionReleaseTime/cancelCompetitionStageRankingTime`,
  getCompetitionStageRankingTime: `competition/competitionReleaseTime/getCompetitionStageRankingTime`,
  frontOfficeCompetitionRanking: `competition/competition/rank/frontOfficeCompetitionRanking`,
  cCompetitionStageFileList: `competition/cCompetitionStageFile/listByEntity`,
  getPaperUploadFile: `exam/exam/paper/question/userAnswer/getPaperUploadFile`,
  derive: `${host}competition/cCompetitionStageFile/deriveAll`,
  allExperimentalResultsAreDerived: `${host}competition/competition/performance/allExperimentalResultsAreDerived`,
  derivedRanking: `${host}competition/competition/rank/derivedRanking`,
  individualDerivedRanking: `${host}competition/competition/rank/individualDerivedRanking`,
  gradeDownloadExcel: `${host}competition/competition/performance/downloadExcel`,
  gradeImport: `https://www.occupationlab.com/template/赛事成绩导入模板.xlsx`,
  rankImportTeam: `https://www.occupationlab.com/template/赛事排名导入模板(团队赛).xlsx`,
  rankImportPerson: `https://www.occupationlab.com/template/赛事排名导入模板(个人赛).xlsx`,

  // 合伙运营
  batchDeletionParnerLabel: `nakadai/nakadai/partner/article/label/batchDeletion`,
  checkForHeavyParnerLabel: `nakadai/nakadai/partner/article/label/checkForHeavy`,
  findByIdParnerLabel: `nakadai/nakadai/partner/article/label/findById`,
  queryAllArticleSubjectTags: `nakadai/nakadai/partner/article/label/queryAllArticleSubjectTags`,
  saveParnerLabel: `nakadai/nakadai/partner/article/label/save`,
  updateParnerLabel: `nakadai/nakadai/partner/article/label/update`,
  batchDeletionParnerClass: `nakadai/nakadai/partner/article/classification/batchDeletion`,
  checkForHeavyParnerClass: `nakadai/nakadai/partner/article/classification/checkForHeavy`,
  findByIdParnerClass: `nakadai/nakadai/partner/article/classification/findById`,
  queryClassificationByType: `nakadai/nakadai/partner/article/classification/queryClassificationByType`,
  saveParnerClass: `nakadai/nakadai/partner/article/classification/save`,
  updateParnerClass: `nakadai/nakadai/partner/article/classification/update`,
  batchDeletionParnerArticle: `nakadai/nakadai/partner/article/management/batchDeletion`,
  findByIdParnerArticle: `nakadai/nakadai/partner/article/management/findById`,
  partnerOperatingList: `nakadai/nakadai/partner/article/management/partnerOperatingList`,
  saveParnerArticle: `nakadai/nakadai/partner/article/management/save`,
  updateParnerArticle: `nakadai/nakadai/partner/article/management/update`,
  articleEnableOrDisable: `nakadai/nakadai/partner/article/management/articleEnableOrDisable`,
  checkIfTheTitleIsRepeat: `nakadai/nakadai/partner/article/management/checkIfTheTitleIsRepeat`,
  modifiedSort: `nakadai/nakadai/partner/article/management/modifiedSort`,
  articleTopOperation: `nakadai/nakadai/partner/article/management/articleTopOperation`,
  batchDeletionParnerFile: `nakadai/nakadai/partner/article/file/batchDeletion`,
  findByIdParnerFile: `nakadai/nakadai/partner/article/file/findById`,
  saveParnerFile: `nakadai/nakadai/partner/article/file/save`,
  theAttachmentUnderTheQueryColumn: `nakadai/nakadai/partner/article/file/theAttachmentUnderTheQueryColumn`,
  updateParnerFile: `nakadai/nakadai/partner/article/file/update`,
  batchDeletionScheme: `nakadai/nakadai/partner/schemeManagement/batchDeletion`,
  enableOrDisableScheme: `nakadai/nakadai/partner/schemeManagement/enableOrDisable`,
  findByIdScheme: `nakadai/nakadai/partner/schemeManagement/findById`,
  saveScheme: `nakadai/nakadai/partner/schemeManagement/save`,
  schemeList: `nakadai/nakadai/partner/schemeManagement/schemeList`,
  updateScheme: `nakadai/nakadai/partner/schemeManagement/update`,

  // 商城管理
  addProductCategory: `nakadai/productClassification/addProductCategory`,
  deleteProductCategory: `nakadai/productClassification/deleteProductCategory`,
  productCategoryList: `nakadai/productClassification/productCategoryList`,
  addProductType: `nakadai/productType/addProductType`,
  deleteProductType: `nakadai/productType/deleteProductType`,
  productTypeList: `nakadai/productType/productTypeList`,
  updateProductType: `nakadai/productType/updateProductType`,
  addSupplier: `nakadai/supplier/addSupplier`,
  deleteSupplier: `nakadai/supplier/deleteSupplier`,
  supplierList: `nakadai/supplier/supplierList`,
  addTags: `nakadai/tags/addTags`,
  deleteTags: `nakadai/tags/deleteTags`,
  tagsList: `nakadai/tags/tagsList`,
  updateTags: `nakadai/tags/updateTags`,
  updateTagsSort: `nakadai/tags/updateTagsSort`,
  addGoods: `nakadai/mall/addGoods`,
  listOfGoods: `nakadai/mall/listOfGoods`,
  deletionOfGoods: `nakadai/mall/deletionOfGoods`,
  detailsOfGoods: `nakadai/mall/detailsOfGoods`,
  renewalOfGoods: `nakadai/mall/renewalOfGoods`,
  goodsOffTheShelf: `nakadai/mall/goodsOffTheShelf`,
  goodsSelection: `nakadai/mall/goodsSelection`,
  queryCitySettlementPrice: `nakadai/mallPrice/queryCitySettlementPrice`,
  allSubjects: `nakadai/productTheme/allSubjects`,

  // 营销推广
  delMarketing: `nakadai/nakadai/mall/marketing/promotion/batchDeletion`,
  findByIdMarketing: `nakadai/nakadai/mall/marketing/promotion/findById`,
  listMarketing: `nakadai/nakadai/mall/marketing/promotion/pagingQueryList`,
  saveMarketing: `nakadai/nakadai/mall/marketing/promotion/save`,
  updateMarketing: `nakadai/nakadai/mall/marketing/promotion/update`,
  bannerEnableOrDisable: `nakadai/nakadai/mall/marketing/promotion/bannerEnableOrDisable`,

  resourceLibrary: `nakadai/resourceLibrary/resourceLibrary`,
  resourceDel: `nakadai/resourceLibrary/batchDeletion`,
  resourceFind: `nakadai/resourceLibrary/findById`,
  resourceSave: `nakadai/resourceLibrary/saveOrUpdate`,
  getFileType: `nakadai/resourceLibrary/getFileType`,
};